import React from 'react';
import { Modal } from './modal';
export declare const Variant: {
    readonly Default: "primary";
    readonly Danger: "danger";
};
export type Variant = typeof Variant[keyof typeof Variant];
type FormModalProps = React.ComponentProps<typeof Modal> & {
    variant?: Variant;
    title: string;
    subtitle?: string;
    submitButtonText: string;
    cancelButtonText?: string;
    submitDisabled?: boolean;
    scroll?: boolean;
    minBodyHeight?: number;
    onSubmit: () => void;
    onCancel: () => void;
};
declare function FormModal({ title, subtitle, submitButtonText, cancelButtonText, submitDisabled, variant, scroll, minBodyHeight, onSubmit, onCancel, children, ...modalProps }: FormModalProps): JSX.Element;
export { FormModal };
//# sourceMappingURL=form-modal.d.ts.map